Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update customer need

PATCH/workspaces/{organizationId}/customer-needs/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
customerIdstring
min length 1
issueIdstring
projectIdstring
prioritystring
notestring
Responses
200Need updated
idstringrequired
organizationIdstringrequired
customerIdstringrequired
issueIdstring | nullrequired
projectIdstring | nullrequired
prioritystring | nullrequired
notestring | nullrequired
createdAtstringrequired
404Need not found
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/customer-needs/string" \
  -H "Content-Type: application/json" \
  -d '{
  "customerId": "string",
  "issueId": "string",
  "projectId": "string",
  "priority": "string",
  "note": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "customerId": "string",
  "issueId": "string",
  "projectId": "string",
  "priority": "string",
  "note": "string",
  "createdAt": "string"
}